## biblesync 1.1.2

=== CMakeLists.txt ===
# Accepted options
# - BUILD_SHARED_LIBS (default FALSE) - set to true to build shared libraries
# - CMAKE_INSTALL_PREFIX (default "/usr/local") - set to directory where you want libs installed
# - LIBDIR (default "CMAKE_INSTALL_PREFIX/lib") - set to directory where binaries should be installed
# - MANDIR (default "CMAKE_INSTALL_PREFIX/share/man/man7") - set to directory where manual pages should be installed
# - INCLUDEDIR (default "CMAKE_INSTALL_PREFIX/include") - set to directory where header files should be installed
# - BIBLESYNC_SOVERSION (defaults to BIBLESYNC_VERSION) - Manually set the SOVERSION of the installed file
PROJECT(libbiblesync CXX)
SET(BIBLESYNC_VERSION 1.1.2)
# A required CMake line
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
# Where our custom Find* files are located
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# Just a variable so if we expand to more files we only have to edit one place
SET(biblesync_sources src/biblesync.cc)
SET(biblesync_headers            include/biblesync.hh
    "${CMAKE_CURRENT_BINARY_DIR}/include/biblesync-version.hh")

# Set a library to build (the fact that it is "biblesync" and matches the name
# in the PROJECT declaration above is purely a matter of choice and convention and
# need not be the case. We can also add additional libraries if we wanted to have
# multiple products from this build process
IF(BUILD_SHARED_LIBS)
    ADD_LIBRARY(biblesync SHARED ${biblesync_sources})
    SET(SHAREDLIB_FALSE "#")
ELSE(BUILD_SHARED_LIBS)
    ADD_LIBRARY(biblesync STATIC ${biblesync_sources})
    SET(SHAREDLIB_TRUE "#")
ENDIF(BUILD_SHARED_LIBS)

# Set the default headers location
INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}/include")
INCLUDE_DIRECTORIES("${CMAKE_CURRENT_BINARY_DIR}/include")

# System defines
IF(WIN32)
    MESSAGE(STATUS "Building for Win32")
    ADD_DEFINITIONS(-DWIN32)
    TARGET_LINK_LIBRARIES(biblesync "ws2_32" "rpcrt4" "intl")
ELSE(WIN32)
    # Headers and linkage from libuuid
    FIND_PACKAGE(UUID REQUIRED)
    INCLUDE_DIRECTORIES("${UUID_INCLUDE_DIRS}")
    TARGET_LINK_LIBRARIES(biblesync "${UUID_LIBRARIES}")
ENDIF(WIN32)

# Allow build systems to specify non-standard install locations
IF(NOT CMAKE_INSTALL_PREFIX)
    SET(PREFIX "/usr/local")
ELSE(NOT CMAKE_INSTALL_PREFIX)
    SET(PREFIX "${CMAKE_INSTALL_PREFIX}")
ENDIF(NOT CMAKE_INSTALL_PREFIX)

MESSAGE(STATUS "Will install to: ${PREFIX}")

SET(LIBDIR "${PREFIX}/lib" CACHE STRING 
    "Object code library install directory. Defaults to CMAKE_INSTALL_PREFIX/lib")
SET(MANDIR "${PREFIX}/share/man/man7" CACHE STRING 
    "Manual page install directory. Defaults to CMAKE_INSTALL_PREFIX/share/man/man7")
SET(INCLUDEDIR "${PREFIX}/include/biblesync" CACHE STRING 
    "Header library install directory. Defaults to CMAKE_INSTALL_PREFIX/include/biblecync")

##########################################################################################
# Copied from Sword's code to handle the setting of version numbers
##########################################################################################
# Post-processing of variables
MACRO(PROCESS_VERSION LEVEL VALUE)
    SET(BIBLESYNC_VERSION_${LEVEL} ${VALUE})
    IF(${VALUE} LESS 10)
        SET(${LEVEL} "00${VALUE}")
    ELSEIF(${VALUE} LESS 100)
        SET(${LEVEL} "0${VALUE}")
    ELSE()
        SET(${LEVEL} "${VALUE}")
    ENDIF()
ENDMACRO()

STRING(REGEX MATCHALL "^([0-9]+)\\.([0-9]+)\\.([0-9]+)\\.?([0-9]+)?$"
    BIBLESYNC_VERSION_PARTS "${BIBLESYNC_VERSION}")
# We don't always have a nano version
IF("${CMAKE_MATCH_4}" STREQUAL "")
    SET(CMAKE_MATCH_4 "0")
ENDIF("${CMAKE_MATCH_4}" STREQUAL "")

SET(BIBLESYNC_VERSION_MAJOR ${CMAKE_MATCH_1}) # No post-processing on this, so it's not octal
PROCESS_VERSION("MINOR" ${CMAKE_MATCH_2})
PROCESS_VERSION("MICRO" ${CMAKE_MATCH_3})
PROCESS_VERSION("NANO"  ${CMAKE_MATCH_4})

SET(BIBLESYNC_VERSION_STR "${BIBLESYNC_VERSION}")
SET(BIBLESYNC_VERSION_NUM "${BIBLESYNC_VERSION_MAJOR}${MINOR}${MICRO}${NANO}")
##########################################################################################
# End of copy from Sword's code
##########################################################################################

# Set the SOVERSION of the package, for binary compatability tracking
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/soversion.cmake")

# Set the variables in the .in file
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/include/biblesync-version.hh.in 
    ${CMAKE_CURRENT_BINARY_DIR}/include/biblesync-version.hh @ONLY)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/biblesync.spec.in 
    ${CMAKE_CURRENT_BINARY_DIR}/biblesync.spec @ONLY)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/biblesync.pc.in 
    ${CMAKE_CURRENT_BINARY_DIR}/biblesync.pc @ONLY)

# Install both the library and its headers
INSTALL(TARGETS biblesync
    DESTINATION "${LIBDIR}")
INSTALL(FILES ${biblesync_headers}
    DESTINATION "${INCLUDEDIR}")
INSTALL(FILES "${CMAKE_CURRENT_BINARY_DIR}/biblesync.pc"
    DESTINATION "${LIBDIR}/pkgconfig")
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/man/biblesync.7"
    DESTINATION "${MANDIR}")

=== debian/changelog ===
biblesync (1.1.2-1) unstable; urgency=medium

  [ Unit 193 ]
  * Initial release. (Closes: #799011)

 -- Daniel Glassey <wdg@debian.org>  Mon, 14 Sep 2015 23:44:59 +0100

=== debian/control ===
Source: biblesync
Priority: optional
Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
Uploaders: Daniel Glassey <wdg@debian.org>,
 Roberto C. Sanchez <roberto@connexer.com>,
 Unit 193 <unit193@ubuntu.com>
Build-Depends: debhelper (>= 9), cmake, uuid-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/karlkleinpaste/biblesync
Vcs-Git: git://anonscm.debian.org/pkg-crosswire/biblesync.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-crosswire/biblesync.git/

Package: libbiblesync-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libbiblesync1.1 (= ${binary:Version}), ${misc:Depends}
Description: multicast protocol to support Bible co-navigation (development files)
 This is a C++ single class library encapsulating a protocol conduit.  The
 premise is that there is a local network over which to multicast Bible
 navigation, and someone, possibly several someones, will transmit, and
 others will receive.  The choices for when you decide to xmit and what to
 do when you recv are up to you as the application designer.
 .
 This package contains the development files.

Package: libbiblesync1.1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multicast protocol to support Bible co-navigation
 This is a C++ single class library encapsulating a protocol conduit.  The
 premise is that there is a local network over which to multicast Bible
 navigation, and someone, possibly several someones, will transmit, and
 others will receive.  The choices for when you decide to xmit and what to
 do when you recv are up to you as the application designer.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DBIBLESYNC_SOVERSION=1.1 \
	-DBUILD_SHARED_LIBS=TRUE

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_makeshlibs:
	dh_makeshlibs -V 'libbiblesync1.1 (>> 1.1.2-0)'

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://sf.net/gnomesword/biblesync-(.*)\.tar\.gz

## biblesync 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # - INCLUDEDIR (default "CMAKE_INSTALL_PREFIX/include") - set to directory where header files should be installed
 # - BIBLESYNC_SOVERSION (defaults to BIBLESYNC_VERSION) - Manually set the SOVERSION of the installed file
 PROJECT(libbiblesync CXX)
-SET(BIBLESYNC_VERSION 1.1.2)
+SET(BIBLESYNC_VERSION 1.2.0)
 # A required CMake line
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
 # Where our custom Find* files are located
@@ -94,7 +94,7 @@
 # End of copy from Sword's code
 ##########################################################################################
 
-# Set the SOVERSION of the package, for binary compatability tracking
+# Set the SOVERSION of the package, for binary compatibility tracking
 INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/soversion.cmake")
 
 # Set the variables in the .in file

=== debian/changelog ===
biblesync (1.2.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:10:42 +0100

biblesync (1.2.0-1) unstable; urgency=high

  * d/docs: updated readme
  * d/watch: updated for github
  * new upstream version 1.2.0

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 09 Nov 2018 10:09:30 +0100

biblesync (1.1.2-5) unstable; urgency=high

  * dh_missing fail-missing
  * install man file

 -- Teus Benschop <teusjannette@gmail.com>  Thu, 01 Nov 2018 08:33:13 +0100

biblesync (1.1.2-4) unstable; urgency=high

  * debian/control: Build-Depends update
  * debian/control: updated Uploaders

 -- Teus Benschop <teusjannette@gmail.com>  Sun, 07 Oct 2018 16:15:44 +0200

biblesync (1.1.2-3) unstable; urgency=medium

  * debian/control: Standards-Version updated
  * debian/compat: 10

 -- Teus Benschop <teusjannette@gmail.com>  Sun, 07 Oct 2018 16:02:18 +0200

biblesync (1.1.2-2) unstable; urgency=high

  [ Dominique Corbex ]
  lintian cleanup:
  * Bump Standards-Version to 3.9.8
  * Change Vcs-Git to https

  [ Teus Benschop ]
  * debian/control: Updated maintainer email: Closes: #899762
  * debian/control: Updated Vcs-* for Salsa

 -- Teus Benschop <teusjannette@gmail.com>  Tue, 02 Oct 2018 13:01:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: biblesync
 Priority: optional
-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
+Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
 Uploaders: Daniel Glassey <wdg@debian.org>,
  Roberto C. Sanchez <roberto@connexer.com>,
- Unit 193 <unit193@ubuntu.com>
-Build-Depends: debhelper (>= 9), cmake, uuid-dev
-Standards-Version: 3.9.6
+ Unit 193 <unit193@ubuntu.com>,
+ Dominique Corbex <dominique@corbex.org>,
+ Teus Benschop <teusjannette@gmail.com>
+Build-Depends: debhelper (>= 10), cmake, uuid-dev
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://github.com/karlkleinpaste/biblesync
-Vcs-Git: git://anonscm.debian.org/pkg-crosswire/biblesync.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-crosswire/biblesync.git/
+Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/biblesync
+Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/biblesync.git
 
 Package: libbiblesync-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,14 @@
 	-DBUILD_SHARED_LIBS=TRUE
 
 override_dh_install:
-	dh_install --list-missing
+	dh_install
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V 'libbiblesync1.1 (>> 1.1.2-0)'
+
+override_dh_missing:
+	dh_missing --fail-missing
+

## biblesync 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # - INCLUDEDIR (default "CMAKE_INSTALL_PREFIX/include") - set to directory where header files should be installed
 # - BIBLESYNC_SOVERSION (defaults to BIBLESYNC_VERSION) - Manually set the SOVERSION of the installed file
 PROJECT(libbiblesync CXX)
-SET(BIBLESYNC_VERSION 1.2.0)
+SET(BIBLESYNC_VERSION 2.1.0)
 # A required CMake line
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
 # Where our custom Find* files are located

=== debian/changelog ===
biblesync (2.1.0-3) unstable; urgency=medium

  * Team upload
  * Override minimum CMake version (Closes: #1112725)

 -- Bastian Germann <bage@debian.org>  Mon, 01 Sep 2025 11:40:55 +0200

biblesync (2.1.0-2) unstable; urgency=medium

  * Team upload
  * d/watch: Scan GitHub tags

 -- Bastian Germann <bage@debian.org>  Fri, 13 Jan 2023 16:19:21 +0100

biblesync (2.1.0-1) unstable; urgency=medium

  * Team upload

  [ Daniel Glassey ]
  * d/control remove Unit 193 from uploaders on his request

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Bastian Germann ]
  * d/watch: Update version
  * New upstream version 2.1.0
  * Remove unnecessary overrides

 -- Teus Benschop <teusbenschop@debian.org>  Wed, 20 Jan 2021 07:26:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
 Uploaders: Daniel Glassey <wdg@debian.org>,
  Roberto C. Sanchez <roberto@connexer.com>,
- Unit 193 <unit193@ubuntu.com>,
  Dominique Corbex <dominique@corbex.org>,
  Teus Benschop <teusjannette@gmail.com>
-Build-Depends: debhelper (>= 10), cmake, uuid-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13), cmake, uuid-dev
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/karlkleinpaste/biblesync
 Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/biblesync
 Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/biblesync.git
+Rules-Requires-Root: no
 
 Package: libbiblesync-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 
 %:
@@ -18,18 +17,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	-DLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+	-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
 	-DBIBLESYNC_SOVERSION=1.1 \
 	-DBUILD_SHARED_LIBS=TRUE
 
-override_dh_install:
-	dh_install
-
-override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog
-
 override_dh_makeshlibs:
 	dh_makeshlibs -V 'libbiblesync1.1 (>> 1.1.2-0)'
-
-override_dh_missing:
-	dh_missing --fail-missing
-

=== debian/watch ===
version=4
https://github.com/karlkleinpaste/biblesync/tags .*/([\d\.]+)\.tar\.gz
